buffer_getnewline_sa(3)

NAME
buffer_getnewline_sa - read line from buffer

SYNTAX
#include <libowfat/stralloc.h>
#include <libowfat/buffer.h>

int buffer_getnewline_sa(buffer* b,stralloc* sa);

DESCRIPTION
buffer_getnewline_sa copies data from the b to sa until a '\n' is found, overwriting the previous content of sa. The new-line is also appended to sa.

If reading from the buffer or allocating memory fails, buffer_getnewline_sa returns -1 and sets errno appropriately. At that point sa may be empty or it may already contain a partial token.

To read from a non-blocking socket, use buffer_getline_sa.

RETURN VALUE
-1 on error (setting errno), 0 on EOF, 1 when successful.

SEE ALSO
buffer_get_token_sa(3), buffer(3)